Bug 1019250 - UI Systems page is missing some info from registered system
UI Systems page is missing some info from registered system
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: David Davis
Sachin Ghai
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 07:18 EDT by Garik Khachikyan
Modified: 2015-01-04 17:00 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:08:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Systems UI page (93.36 KB, image/png)
2013-10-15 07:18 EDT, Garik Khachikyan
no flags Details
missing sys_info in snap7 (60.03 KB, image/png)
2013-10-24 03:11 EDT, Sachin Ghai
no flags Details
system properties correctly displays value of 'OS', Release, Arch and RAM (66.51 KB, image/png)
2013-10-28 03:08 EDT, Sachin Ghai
no flags Details

  None (edit)
Description Garik Khachikyan 2013-10-15 07:18:58 EDT
Created attachment 812437 [details]
Systems UI page

Description of problem:
Recently redesigned Systems page is still missing some values from registered system (see attached). The Type info is also detecting wrongly (i have a guest in sample - page displays as host).

Info missing:
OS
Release
Arch
RAM
Registered (date)
Type - displayed wrong!

Version-Release number of selected component (if applicable):
candlepin-0.8.25-1.el6sam.noarch
candlepin-cert-consumer-hades.usersys.redhat.com-1.0-1.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.8.25-1.el6sam.noarch
candlepin-tomcat6-0.8.25-1.el6sam.noarch
createrepo-0.9.9-21.2.pulp.el6sat.noarch
elasticsearch-0.19.9-8.el6sat.noarch
katello-1.4.6-31.el6sat.noarch
katello-agent-1.4.4-3.el6sat.noarch
katello-all-1.4.6-31.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.4.4-1.el6sat.noarch
katello-cli-1.4.3-20.el6sat.noarch
katello-cli-common-1.4.3-20.el6sat.noarch
katello-common-1.4.6-31.el6sat.noarch
katello-configure-1.4.7-3.el6sat.noarch
katello-configure-foreman-1.4.7-3.el6sat.noarch
katello-configure-foreman-proxy-1.4.7-3.el6sat.noarch
katello-foreman-all-1.4.6-31.el6sat.noarch
katello-glue-candlepin-1.4.6-31.el6sat.noarch
katello-glue-elasticsearch-1.4.6-31.el6sat.noarch
katello-glue-pulp-1.4.6-31.el6sat.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-selinux-1.4.4-4.el6sat.noarch
m2crypto-0.21.1.pulp-8.el6sat.x86_64
mod_wsgi-3.4-1.pulp.el6sat.x86_64
pulp-katello-plugins-0.2-1.el6sat.noarch
pulp-nodes-common-2.3.0-0.17.beta.el6sat.noarch
pulp-nodes-parent-2.3.0-0.17.beta.el6sat.noarch
pulp-puppet-plugins-2.3.0-0.17.beta.el6sat.noarch
pulp-rpm-handlers-2.3.0-0.17.beta.el6sat.noarch
pulp-rpm-plugins-2.3.0-0.17.beta.el6sat.noarch
pulp-selinux-2.3.0-0.17.beta.el6sat.noarch
pulp-server-2.3.0-0.17.beta.el6sat.noarch
python-isodate-0.5.0-1.pulp.el6sat.noarch
python-oauth2-1.5.170-3.pulp.el6sat.noarch
python-pulp-agent-lib-2.3.0-0.17.beta.el6sat.noarch
python-pulp-bindings-2.3.0-0.17.beta.el6sat.noarch
python-pulp-common-2.3.0-0.17.beta.el6sat.noarch
python-pulp-puppet-common-2.3.0-0.17.beta.el6sat.noarch
python-pulp-rpm-common-2.3.0-0.17.beta.el6sat.noarch
python-qpid-0.18-5.el6_4.noarch
qpid-cpp-client-0.14-22.el6_3.x86_64
qpid-cpp-client-ssl-0.14-22.el6_3.x86_64
qpid-cpp-server-0.14-22.el6_3.x86_64
qpid-cpp-server-ssl-0.14-22.el6_3.x86_64
ruby193-rubygem-foreman-katello-engine-0.0.14-5.el6sat.noarch
ruby193-rubygem-katello-foreman-engine-0.0.7-2.el6sat.noarch
ruby193-rubygem-katello_api-0.0.3-4.el6sat.noarch
ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
signo-katello-0.0.22-2.el6sat.noarch

How reproducible:
always

Steps to Reproduce:
1.RHSM register (via ak for my case having RHEL6 product attached) a system
2.visit UI Systems page.
3.

Actual results:
some info missing (above)

Expected results:
no missing info

Additional info:
see attached the screenshot
Comment 2 Sachin Ghai 2013-10-18 03:51:14 EDT
We have separate bz's for "Registered" value.. Just linking it here:

https://bugzilla.redhat.com/show_bug.cgi?id=1015425 for "Registered" value
Comment 3 David Davis 2013-10-23 11:31:43 EDT
https://github.com/Katello/katello/pull/3241

katello

6e7fad87e017d1599385c9cb8ef3015c24587d98

1019250: Fix missing/bad system info
Fixed missing system info and fixed system type field. Also, copied memory and
memory_in_gigabytes from  app/models/glue/candlepin/consumer.rb to system info
controller to format memory.
Comment 6 Sachin Ghai 2013-10-24 03:08:13 EDT
Verified  with MDP2  snap7:

- Registered value is correctly displayed
- Type correctly displayed as guest for guest node.
Comment 7 Sachin Ghai 2013-10-24 03:10:39 EDT
But following information under 'System Properties' is still missing:

OS
Release
Arch
RAM

Please see the screenshot. RAM value is displayed as '0' which is incorrect.
Comment 8 Sachin Ghai 2013-10-24 03:11:57 EDT
Created attachment 815644 [details]
missing sys_info in snap7
Comment 9 David Davis 2013-10-24 10:49:18 EDT
Contacted Jason. This line from BZ 101611 is missing:

https://github.com/Katello/katello/pull/3100/files#diff-8bfef1cc3f3ab222fb957a4c93757140R29

Which is causing this to fail.
Comment 10 David Davis 2013-10-24 10:50:36 EDT
Actually that should be BZ 1016114 and not BZ 101611.
Comment 11 David Davis 2013-10-24 11:26:12 EDT
This should be fixed in the next compose.
Comment 14 Sachin Ghai 2013-10-28 03:06:22 EDT
Verified with Snap7 compose2 (MPD2)

signo-katello-0.0.23-2.el6sat.noarch
katello-1.4.6-49.el6sat.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-cli-common-1.4.3-27.el6sat.noarch
katello-foreman-all-1.4.6-49.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
ruby193-rubygem-katello_api-0.0.3-4.el6sat.noarch
katello-selinux-1.4.4-4.el6sat.noarch
pulp-katello-plugins-0.2-1.el6sat.noarch
katello-configure-foreman-1.4.7-7.el6sat.noarch
katello-certs-tools-1.4.4-1.el6sat.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-glue-elasticsearch-1.4.6-49.el6sat.noarch
katello-glue-pulp-1.4.6-49.el6sat.noarch
ruby193-rubygem-foreman-katello-engine-0.0.17-7.el6sat.noarch
katello-configure-1.4.7-7.el6sat.noarch
katello-glue-candlepin-1.4.6-49.el6sat.noarch
katello-cli-1.4.3-27.el6sat.noarch
katello-all-1.4.6-49.el6sat.noarch
katello-common-1.4.6-49.el6sat.noarch
ruby193-rubygem-katello-foreman-engine-0.0.12-3.el6sat.noarch

I can see following properties with values under 'System properties'

OS
Release
Arch
RAM
Comment 15 Sachin Ghai 2013-10-28 03:08:59 EDT
Created attachment 816706 [details]
system properties correctly displays value of 'OS', Release, Arch and RAM
Comment 16 Bryan Kearney 2014-04-24 13:08:36 EDT
This was verified and delivered with MDP2. Closing it out.

Note You need to log in before you can comment on or make changes to this bug.